diff -uNrp linux-2.6.14.5/kernel/ltt-base.c linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/kernel/ltt-base.c
--- linux-2.6.14.5/kernel/ltt-base.c	1970-01-01 01:00:00.000000000 +0100
+++ linux-2.6.14.5-ipipe-1.1-lttng-0.5-v3/kernel/ltt-base.c	2006-01-22 13:01:14.000000000 +0100
@@ -0,0 +1,45 @@
+/*
+ * ltt-base.c
+ *
+ * (C) Copyright  2005 -
+ * 							Mathieu Desnoyers (mathieu.desnoyers@polymtl.ca)
+ *
+ * Contains the kernel core code for Linux Trace Toolkit.
+ *
+ * This base ltt file is used when LTT is configured as a module. Otherwise,
+ * ltt-core defines the ltt_log_event directly. The cost of this modularisation
+ * is a pointer to dereference in the LTT tracing critical path.
+ *
+ * Author:
+ *	Mathieu Desnoyers (mathieu.desnoyers@polymtl.ca)
+ *
+ */
+
+#include <linux/ltt-core.h>
+#include <linux/module.h>
+#include <linux/init.h>
+
+
+/* Traces structures */
+struct ltt_traces ltt_traces = {
+	.head = LIST_HEAD_INIT(ltt_traces.head),
+	.num_active_traces = 0
+};
+
+EXPORT_SYMBOL(ltt_traces);
+
+volatile unsigned int ltt_nesting[NR_CPUS];
+
+EXPORT_SYMBOL(ltt_nesting);
+
+void __init ltt_init(void)
+{
+	unsigned int i;
+	printk(KERN_INFO "LTT : ltt-base init\n");
+
+	for(i=0;i<NR_CPUS;i++) {
+		ltt_nesting[i] = 0;
+	}
+	
+}
+
